Skip to main content
GET
/
v1
/
admin
/
activity
List activity logs across all platforms
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.keystoneos.xyz/v1/admin/activity', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "category": "<string>",
      "severity": "<string>",
      "description": "<string>",
      "actor_type": "<string>",
      "actor_id": "<string>",
      "resource_type": "<string>",
      "resource_id": "<string>",
      "method": "<string>",
      "path": "<string>",
      "status_code": 123,
      "ip_address": "<string>",
      "user_agent": "<string>",
      "duration_ms": 123,
      "detail": null,
      "created_at": "2023-11-07T05:31:56Z",
      "platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "platform_name": "",
      "environment_slug": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Auth0 JWT access token. See Authentication for details.

Query Parameters

platform_id
string<uuid> | null
environment_id
string<uuid> | null
type
string | null

Event type filter

category
string | null
severity
string | null

Filter by severity (info, warning, error)

actor_type
string | null
resource_type
string | null
resource_id
string | null
search
string | null

Search in description, type, actor_id, resource_id

limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
AdminActivityLogRead · object[]
required
total
integer
required
limit
integer
required
offset
integer
required